summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-mail/dovecot')
-rw-r--r--net-mail/dovecot/Manifest2
-rw-r--r--net-mail/dovecot/dovecot-2.2.19.ebuild305
-rw-r--r--net-mail/dovecot/files/dovecot-10-ssl.patch15
-rw-r--r--net-mail/dovecot/files/dovecot-glibc226.patch84
-rw-r--r--net-mail/dovecot/files/dovecot-glibc228.patch44
-rw-r--r--net-mail/dovecot/files/dovecot.init-r457
-rw-r--r--net-mail/dovecot/files/dovecot.init-r557
-rw-r--r--net-mail/dovecot/metadata.xml5
8 files changed, 0 insertions, 569 deletions
diff --git a/net-mail/dovecot/Manifest b/net-mail/dovecot/Manifest
index 59eff380a2d..e4203c9149d 100644
--- a/net-mail/dovecot/Manifest
+++ b/net-mail/dovecot/Manifest
@@ -1,4 +1,2 @@
-DIST dovecot-2.2-pigeonhole-0.4.9.tar.gz 1577127 BLAKE2B 7e6f11bf74d56887b640ab5ebffd6e2ad7878d47da808f81b2f21ab4de02495f6ca79453ab5867568afee7f2d9a0915601ceccf5c6a9581d38994c4d35f692e7 SHA512 9e7a18b43d59ed955b142d16696ca221822a547ea59ac70c1bb374eedb28b6ed99ea49f34ead1f9a16ded4573605e410a5cc8e038e1bdf5f943a65588b5d3af2
-DIST dovecot-2.2.19.tar.gz 5256627 BLAKE2B 0b7fe57ced1b1f7eb5e29e8d6723d237cc107752286995d8e5f6857f24b45ab40c4a38b03935b228e8530c3b254509124a7b6ce4e0a8a9be0ea87f0c529db935 SHA512 1b9d605a6a5862ade9d1ca634a9e0171b7c212ab025fc2059051c3795470685b66516fa9fbe5ad91d84388268ea15795f2dcd70ffdf81736ce4d80fd284835e9
DIST dovecot-2.3-pigeonhole-0.5.5.tar.gz 1847487 BLAKE2B 9574388566778a4011ce6546021675ed9e07ba0d874dc4163e4cea10096f3bb8a434f198c3bb446b628ee18402afe94bd90b7123b3cf4d47e4095ddad12d9bfc SHA512 21519fc9b1152a947b64ce4251e1a4bdbe003b48233b1856a32696f9c1e29f730268c56eb38f9431bbfac345e6cd42e8c78c87d0702f39ebf20c6d326dcdbb94
DIST dovecot-2.3.5.1.tar.gz 6953150 BLAKE2B 04484325e7b87f78c0aa6e3c769bc921e9dc62562cd8705b99166b7291b794f434b088dcf6512bc21c96d8937475cafa4d49c6ac611cb07f74a0d20e15e185c7 SHA512 e87754461fb0b065acd0ff10dc955000a2fe5baffed69efaf328ce9268f90140e9de444bc68e0bd48b565c7622885a79b1f90ff3dd2335c0c2362d05d9e73e8a
diff --git a/net-mail/dovecot/dovecot-2.2.19.ebuild b/net-mail/dovecot/dovecot-2.2.19.ebuild
deleted file mode 100644
index 0ce65014c0c..00000000000
--- a/net-mail/dovecot/dovecot-2.2.19.ebuild
+++ /dev/null
@@ -1,305 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-inherit eutils multilib ssl-cert systemd user versionator
-
-MY_P="${P/_/.}"
-major_minor="$(get_version_component_range 1-2)"
-sieve_version="0.4.9"
-if [[ ${PV} == *_rc* ]] ; then
- rc_dir="rc/"
-else
- rc_dir=""
-fi
-SRC_URI="https://dovecot.org/releases/${major_minor}/${rc_dir}${MY_P}.tar.gz
- sieve? (
- https://pigeonhole.dovecot.org/releases/${major_minor}/${PN}-${major_minor}-pigeonhole-${sieve_version}.tar.gz
- )
- managesieve? (
- https://pigeonhole.dovecot.org/releases/${major_minor}/${PN}-${major_minor}-pigeonhole-${sieve_version}.tar.gz
- ) "
-DESCRIPTION="An IMAP and POP3 server written with security primarily in mind"
-HOMEPAGE="https://www.dovecot.org/"
-
-SLOT="0"
-LICENSE="LGPL-2.1 MIT"
-KEYWORDS="~sh"
-
-IUSE_DOVECOT_AUTH="kerberos ldap mysql pam postgres sqlite vpopmail"
-IUSE_DOVECOT_STORAGE="cydir imapc +maildir mbox mdbox pop3c sdbox"
-IUSE_DOVECOT_COMPRESS="bzip2 lzma lz4 zlib"
-IUSE_DOVECOT_OTHER="caps doc ipv6 libressl lucene managesieve selinux sieve solr +ssl static-libs suid tcpd"
-
-IUSE="${IUSE_DOVECOT_AUTH} ${IUSE_DOVECOT_STORAGE} ${IUSE_DOVECOT_COMPRESS} ${IUSE_DOVECOT_OTHER}"
-
-DEPEND="bzip2? ( app-arch/bzip2 )
- caps? ( sys-libs/libcap )
- kerberos? ( virtual/krb5 )
- ldap? ( net-nds/openldap )
- lucene? ( >=dev-cpp/clucene-2.3 )
- lzma? ( app-arch/xz-utils )
- lz4? ( app-arch/lz4 )
- mysql? ( virtual/mysql )
- pam? ( virtual/pam )
- postgres? ( dev-db/postgresql:* !dev-db/postgresql[ldap,threads] )
- selinux? ( sec-policy/selinux-dovecot )
- solr? ( net-misc/curl dev-libs/expat )
- sqlite? ( dev-db/sqlite:* )
- ssl? (
- !libressl? ( dev-libs/openssl:0 )
- libressl? ( dev-libs/libressl )
- )
- tcpd? ( sys-apps/tcp-wrappers )
- vpopmail? ( net-mail/vpopmail )
- zlib? ( sys-libs/zlib )
- virtual/libiconv
- dev-libs/icu:="
-
-RDEPEND="${DEPEND}
- net-mail/mailbase"
-
-S=${WORKDIR}/${MY_P}
-
-pkg_setup() {
- if use managesieve && ! use sieve; then
- ewarn "managesieve USE flag selected but sieve USE flag unselected"
- ewarn "sieve USE flag will be turned on"
- fi
- # default internal user
- enewgroup dovecot 97
- enewuser dovecot 97 -1 /dev/null dovecot
- # default login user
- enewuser dovenull -1 -1 /dev/null
- # add "mail" group for suid'ing. Better security isolation.
- if use suid; then
- enewgroup mail
- fi
-}
-
-src_prepare() {
- epatch "${FILESDIR}/${PN}-10-ssl.patch"
- epatch_user
-}
-
-src_configure() {
- local conf=""
-
- if use postgres || use mysql || use sqlite; then
- conf="${conf} --with-sql"
- fi
-
- local storages=""
- for storage in ${IUSE_DOVECOT_STORAGE//+/}; do
- use ${storage} && storages="${storage} ${storages}"
- done
- [ "${storages}" ] || storages="maildir"
-
- # turn valgrind tests off. Bug #340791
- VALGRIND=no econf \
- --localstatedir="${EPREFIX}/var" \
- --runstatedir="${EPREFIX}/run" \
- --with-moduledir="${EPREFIX}/usr/$(get_libdir)/dovecot" \
- --without-stemmer \
- --with-storages="${storages}" \
- --disable-rpath \
- --with-icu \
- $( systemd_with_unitdir ) \
- $( use_with bzip2 bzlib ) \
- $( use_with caps libcap ) \
- $( use_with kerberos gssapi ) \
- $( use_with ldap ) \
- $( use_with lucene ) \
- $( use_with lz4 ) \
- $( use_with lzma ) \
- $( use_with mysql ) \
- $( use_with pam ) \
- $( use_with postgres pgsql ) \
- $( use_with sqlite ) \
- $( use_with solr ) \
- $( use_with ssl ) \
- $( use_with tcpd libwrap ) \
- $( use_with vpopmail ) \
- $( use_with zlib ) \
- $( use_enable static-libs static ) \
- ${conf}
-
- if use sieve || use managesieve ; then
- # The sieve plugin needs this file to be build to determine the plugin
- # directory and the list of libraries to link to.
- emake dovecot-config
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- econf \
- $( use_enable static-libs static ) \
- --localstatedir="${EPREFIX}/var" \
- --enable-shared \
- --with-dovecot="../${MY_P}" \
- $( use_with managesieve )
- fi
-}
-
-src_compile() {
- default
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
- fi
-}
-
-src_test() {
- default
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- default
- fi
-}
-
-src_install () {
- default
-
- # insecure:
- # use suid && fperms u+s /usr/libexec/dovecot/deliver
- # better:
- if use suid;then
- einfo "Changing perms to allow deliver to be suided"
- fowners root:mail "${EPREFIX}/usr/libexec/dovecot/dovecot-lda"
- fperms 4750 "${EPREFIX}/usr/libexec/dovecot/dovecot-lda"
- fi
-
- newinitd "${FILESDIR}"/dovecot.init-r4 dovecot
-
- rm -rf "${ED}"/usr/share/doc/dovecot
-
- dodoc AUTHORS NEWS README TODO
- dodoc doc/*.{txt,cnf,xml,sh}
- docinto example-config
- dodoc doc/example-config/*.{conf,ext}
- docinto example-config/conf.d
- dodoc doc/example-config/conf.d/*.{conf,ext}
- docinto wiki
- dodoc doc/wiki/*
- doman doc/man/*.{1,7}
-
- # Create the dovecot.conf file from the dovecot-example.conf file that
- # the dovecot folks nicely left for us....
- local conf="${ED}/etc/dovecot/dovecot.conf"
- local confd="${ED}/etc/dovecot/conf.d"
-
- insinto /etc/dovecot
- doins doc/example-config/*.{conf,ext}
- insinto /etc/dovecot/conf.d
- doins doc/example-config/conf.d/*.{conf,ext}
- fperms 0600 "${EPREFIX}"/etc/dovecot/dovecot-{ldap,sql}.conf.ext
- rm -f "${confd}/../README"
-
- # .maildir is the Gentoo default
- local mail_location="maildir:~/.maildir"
- if ! use maildir; then
- if use mbox; then
- mail_location="mbox:/var/spool/mail/%u:INDEX=/var/dovecot/%u"
- keepdir /var/dovecot
- sed -i -e 's|#mail_privileged_group =|mail_privileged_group = mail|' \
- "${confd}/10-mail.conf" || die "sed failed"
- elif use mdbox ; then
- mail_location="mdbox:~/.mdbox"
- elif use sdbox ; then
- mail_location="sdbox:~/.sdbox"
- fi
- fi
- sed -i -e \
- "s|#mail_location =|mail_location = ${mail_location}|" \
- "${confd}/10-mail.conf" \
- || die "failed to update mail location settings in 10-mail.conf"
-
- # We're using pam files (imap and pop3) provided by mailbase
- if use pam; then
- sed -i -e '/driver = pam/,/^[ \t]*}/ s|#args = dovecot|args = "\*"|' \
- "${confd}/auth-system.conf.ext" \
- || die "failed to update PAM settings in auth-system.conf.ext"
- # mailbase does not provide a sieve pam file
- use managesieve && dosym imap /etc/pam.d/sieve
- sed -i -e \
- 's/#!include auth-system.conf.ext/!include auth-system.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update PAM settings in 10-auth.conf"
- fi
-
- # Disable ipv6 if necessary
- if ! use ipv6; then
- sed -i -e 's/^#listen = \*, ::/listen = \*/g' "${conf}" \
- || die "failed to update listen settings in dovecot.conf"
- fi
-
- # Update ssl cert locations
- if use ssl; then
- sed -i -e 's:^#ssl = yes:ssl = yes:' "${confd}/10-ssl.conf" \
- || die "ssl conf failed"
- sed -i -e 's:^ssl_cert =.*:ssl_cert = </etc/ssl/dovecot/server.pem:' \
- -e 's:^ssl_key =.*:ssl_key = </etc/ssl/dovecot/server.key:' \
- "${confd}/10-ssl.conf" || die "failed to update SSL settings in 10-ssl.conf"
- fi
-
- # Install SQL configuration
- if use mysql || use postgres; then
- sed -i -e \
- 's/#!include auth-sql.conf.ext/!include auth-sql.conf.ext/' \
- "${confd}/10-auth.conf" || die "failed to update SQL settings in \
- 10-auth.conf"
- fi
-
- # Install LDAP configuration
- if use ldap; then
- sed -i -e \
- 's/#!include auth-ldap.conf.ext/!include auth-ldap.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update ldap settings in 10-auth.conf"
- fi
-
- if use vpopmail; then
- sed -i -e \
- 's/#!include auth-vpopmail.conf.ext/!include auth-vpopmail.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update vpopmail settings in 10-auth.conf"
- fi
-
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- emake DESTDIR="${ED}" install
- sed -i -e \
- 's/^[[:space:]]*#mail_plugins = $mail_plugins/mail_plugins = sieve/' "${confd}/15-lda.conf" \
- || die "failed to update sieve settings in 15-lda.conf"
- rm -rf "${ED}"/usr/share/doc/dovecot
- docinto example-config/conf.d
- dodoc doc/example-config/conf.d/*.conf
- insinto /etc/dovecot/conf.d
- doins doc/example-config/conf.d/90-sieve{,-extprograms}.conf
- use managesieve && doins doc/example-config/conf.d/20-managesieve.conf
- docinto sieve/rfc
- dodoc doc/rfc/*.txt
- docinto sieve/devel
- dodoc doc/devel/DESIGN
- docinto plugins
- dodoc doc/plugins/*.txt
- docinto extensions
- dodoc doc/extensions/*.txt
- docinto locations
- dodoc doc/locations/*.txt
- doman doc/man/*.{1,7}
- fi
-
- use static-libs || find "${ED}"/usr/lib* -name '*.la' -delete
-}
-
-pkg_postinst() {
- if use ssl; then
- # Let's not make a new certificate if we already have one
- if ! [[ -e "${ROOT}"/etc/ssl/dovecot/server.pem && \
- -e "${ROOT}"/etc/ssl/dovecot/server.key ]]; then
- einfo "Creating SSL certificate"
- SSL_ORGANIZATION="${SSL_ORGANIZATION:-Dovecot IMAP Server}"
- install_cert /etc/ssl/dovecot/server
- fi
- fi
-
- elog "Please read http://wiki2.dovecot.org/Upgrading/ for upgrade notes."
-}
diff --git a/net-mail/dovecot/files/dovecot-10-ssl.patch b/net-mail/dovecot/files/dovecot-10-ssl.patch
deleted file mode 100644
index 8173bacc0bc..00000000000
--- a/net-mail/dovecot/files/dovecot-10-ssl.patch
+++ /dev/null
@@ -1,15 +0,0 @@
---- doc/example-config/conf.d/10-ssl.conf 2014-12-08 07:58:21.000000000 +0000
-+++ doc/example-config/conf.d/10-ssl.conf 2014-12-08 08:02:19.000000000 +0000
-@@ -49,6 +49,12 @@
- #ssl_protocols = !SSLv2
-
- # SSL ciphers to use
-+# ###############
-+# Added by Gentoo
-+# You are encouraged to change the cipher list to
-+#ssl_cipher_list = DEFAULT:!EXPORT:!LOW:!MEDIUM:!MD5
-+# if you are not required to support legacy mail clients.
-+# ###############
- #ssl_cipher_list = ALL:!LOW:!SSLv2:!EXP:!aNULL
-
- # Prefer the server's order of ciphers over client's.
diff --git a/net-mail/dovecot/files/dovecot-glibc226.patch b/net-mail/dovecot/files/dovecot-glibc226.patch
deleted file mode 100644
index adf1dd99aac..00000000000
--- a/net-mail/dovecot/files/dovecot-glibc226.patch
+++ /dev/null
@@ -1,84 +0,0 @@
-From 9a58361b08e1858e3bc7ea93934b7613261da476 Mon Sep 17 00:00:00 2001
-From: Timo Sirainen <timo.sirainen@dovecot.fi>
-Date: Mon, 9 Jul 2018 11:33:23 +0300
-Subject: [PATCH] m4: Enable rquota only if rpc/rpc.h exists
-
-It's been removed in glibc 2.26
----
- m4/quota.m4 | 6 ++++--
- 1 file changed, 4 insertions(+), 2 deletions(-)
-
-diff --git a/m4/quota.m4 b/m4/quota.m4
-index 5840e3af89..0695b1e021 100644
---- a/m4/quota.m4
-+++ b/m4/quota.m4
-@@ -7,8 +7,10 @@ AC_DEFUN([DOVECOT_RPCGEN], [
-
- have_rquota=no
- if test -f /usr/include/rpcsvc/rquota.x && test -n "$RPCGEN"; then
-- AC_DEFINE(HAVE_RQUOTA,, [Define if you wish to retrieve quota of NFS mounted mailboxes])
-- have_rquota=yes
-+ AC_CHECK_HEADER([rpc/rpc.h], [
-+ AC_DEFINE(HAVE_RQUOTA,, [Define if you wish to retrieve quota of NFS mounted mailboxes])
-+ have_rquota=yes
-+ ])
- fi
- AM_CONDITIONAL(HAVE_RQUOTA, test "$have_rquota" = "yes")
- ])
-From 5803ae4bbd420def0072e1660ea7061c0e5dbcb9 Mon Sep 17 00:00:00 2001
-From: Timo Sirainen <timo.sirainen@dovecot.fi>
-Date: Mon, 9 Jul 2018 11:39:59 +0300
-Subject: [PATCH] m4, quota: Support rquota using libtirpc
-
----
- m4/quota.m4 | 13 ++++++++++---
- src/plugins/quota/Makefile.am | 3 ++-
- 2 files changed, 12 insertions(+), 4 deletions(-)
-
-diff --git a/m4/quota.m4 b/m4/quota.m4
-index 0695b1e021..d75af447e1 100644
---- a/m4/quota.m4
-+++ b/m4/quota.m4
-@@ -7,18 +7,25 @@ AC_DEFUN([DOVECOT_RPCGEN], [
-
- have_rquota=no
- if test -f /usr/include/rpcsvc/rquota.x && test -n "$RPCGEN"; then
-- AC_CHECK_HEADER([rpc/rpc.h], [
-- AC_DEFINE(HAVE_RQUOTA,, [Define if you wish to retrieve quota of NFS mounted mailboxes])
-+ PKG_CHECK_MODULES(LIBTIRPC, libtirpc, [
- have_rquota=yes
-+ QUOTA_LIBS="$QUOTA_LIBS \$(LIBTIRPC_LIBS)"
-+ ], [
-+ AC_CHECK_HEADER([rpc/rpc.h], [
-+ have_rquota=yes
-+ ])
- ])
- fi
-+ if test "$have_rquota" = yes; then
-+ AC_DEFINE(HAVE_RQUOTA,, [Define if you wish to retrieve quota of NFS mounted mailboxes])
-+ fi
- AM_CONDITIONAL(HAVE_RQUOTA, test "$have_rquota" = "yes")
- ])
-
- AC_DEFUN([DOVECOT_QUOTA], [
- AC_SEARCH_LIBS(quota_open, quota, [
- AC_DEFINE(HAVE_QUOTA_OPEN,, [Define if you have quota_open()])
-- QUOTA_LIBS="-lquota"
-+ QUOTA_LIBS="$QUOTA_LIBS -lquota"
- ])
- AC_SUBST(QUOTA_LIBS)
- ])
-diff --git a/src/plugins/quota/Makefile.am b/src/plugins/quota/Makefile.am
-index f220d4f075..ffebc67404 100644
---- a/src/plugins/quota/Makefile.am
-+++ b/src/plugins/quota/Makefile.am
-@@ -19,7 +19,8 @@ AM_CPPFLAGS = \
- -I$(top_srcdir)/src/lib-storage/index/imapc \
- -I$(top_srcdir)/src/lib-storage/index/maildir \
- -I$(top_srcdir)/src/lib-program-client \
-- -I$(top_srcdir)/src/doveadm
-+ -I$(top_srcdir)/src/doveadm \
-+ $(LIBTIRPC_CFLAGS)
-
- NOPLUGIN_LDFLAGS =
- lib10_doveadm_quota_plugin_la_LDFLAGS = -module -avoid-version
diff --git a/net-mail/dovecot/files/dovecot-glibc228.patch b/net-mail/dovecot/files/dovecot-glibc228.patch
deleted file mode 100644
index 9549c12f6e8..00000000000
--- a/net-mail/dovecot/files/dovecot-glibc228.patch
+++ /dev/null
@@ -1,44 +0,0 @@
-From 63a74b9e8e0604486a15a879e7f1a27257322400 Mon Sep 17 00:00:00 2001
-From: Aki Tuomi <aki.tuomi@dovecot.fi>
-Date: Wed, 8 Aug 2018 12:33:20 +0300
-Subject: [PATCH] auth: mycrypt - include crypt.h
-MIME-Version: 1.0
-Content-Type: text/plain; charset=UTF-8
-Content-Transfer-Encoding: 8bit
-
-Fixes crypt usage on glibc-2.28
-
-Reported by Reuben Farrelly
-Patch provided by Thore Bödecker
----
- configure.ac | 2 +-
- src/auth/mycrypt.c | 3 +++
- 2 files changed, 4 insertions(+), 1 deletion(-)
-
-diff --git a/configure.ac b/configure.ac
-index dd545ebfdc..c5d8fae666 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -315,7 +315,7 @@ AC_CHECK_HEADERS(strings.h stdint.h unistd.h dirent.h malloc.h \
- quota.h sys/fs/quota_common.h \
- mntent.h sys/mnttab.h sys/event.h sys/time.h sys/mkdev.h linux/dqblk_xfs.h \
- xfs/xqm.h execinfo.h ucontext.h malloc_np.h sys/utsname.h sys/vmount.h \
-- sys/utsname.h glob.h linux/falloc.h ucred.h sys/ucred.h)
-+ sys/utsname.h glob.h linux/falloc.h ucred.h sys/ucred.h crypt.h)
-
- CC_CLANG
- AC_CC_PIE
-diff --git a/src/auth/mycrypt.c b/src/auth/mycrypt.c
-index c49fcf842e..0bd00bc238 100644
---- a/src/auth/mycrypt.c
-+++ b/src/auth/mycrypt.c
-@@ -14,6 +14,9 @@
- # define _XPG6 /* Some Solaris versions require this, some break with this */
- #endif
- #include <unistd.h>
-+#ifdef HAVE_CRYPT_H
-+# include <crypt.h>
-+#endif
-
- #include "mycrypt.h"
-
diff --git a/net-mail/dovecot/files/dovecot.init-r4 b/net-mail/dovecot/files/dovecot.init-r4
deleted file mode 100644
index 665aa0dc733..00000000000
--- a/net-mail/dovecot/files/dovecot.init-r4
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License, v2 or later
-
-extra_started_commands="reload"
-
-depend() {
- need localmount
- before postfix
- after bootmisc ldap mysql ntp-client ntpd postgresql saslauthd slapd
- use logger net
-}
-
-checkconfig() {
- DOVECOT_INSTANCE=${SVCNAME##*.}
- if [ -n "${DOVECOT_INSTANCE}" -a "${SVCNAME}" != "dovecot" ]; then
- DOVECOT_CONF=/etc/dovecot/dovecot.${DOVECOT_INSTANCE}.conf
- else
- DOVECOT_CONF=/etc/dovecot/dovecot.conf
- fi
- if [ ! -e ${DOVECOT_CONF} ]; then
- eerror "You will need an ${DOVECOT_CONF} first"
- return 1
- fi
- if [ -x /usr/sbin/dovecot ]; then
- DOVECOT_BASEDIR=$(/usr/sbin/dovecot -c ${DOVECOT_CONF} -a | grep '^base_dir = ' | sed 's/^base_dir = //')
- else
- eerror "dovecot not executable"
- return 1
- fi
- DOVECOT_BASEDIR=${DOVECOT_BASEDIR:-/var/run/dovecot}
- DOVECOT_PIDFILE=${DOVECOT_BASEDIR}/master.pid
-}
-
-start() {
- checkconfig || return 1
- ebegin "Starting ${SVCNAME}"
- start-stop-daemon --start --exec /usr/sbin/dovecot \
- --pidfile "${DOVECOT_PIDFILE}" -- -c "${DOVECOT_CONF}"
- eend $?
-}
-
-stop() {
- checkconfig || return 1
- ebegin "Stopping ${SVCNAME}"
- start-stop-daemon --stop --exec /usr/sbin/dovecot \
- --pidfile "${DOVECOT_PIDFILE}"
- eend $?
-}
-
-reload() {
- checkconfig || return 1
- ebegin "Reloading ${SVCNAME} configs and restarting auth/login processes"
- start-stop-daemon --signal HUP --exec /usr/sbin/dovecot \
- --pidfile "${DOVECOT_PIDFILE}"
- eend $?
-}
diff --git a/net-mail/dovecot/files/dovecot.init-r5 b/net-mail/dovecot/files/dovecot.init-r5
deleted file mode 100644
index 8a98603d4b4..00000000000
--- a/net-mail/dovecot/files/dovecot.init-r5
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License, v2 or later
-
-extra_started_commands="reload"
-
-depend() {
- need localmount
- before postfix
- after bootmisc ldap mysql ntp-client ntpd postgresql saslauthd slapd
- use logger net
-}
-
-checkconfig() {
- DOVECOT_INSTANCE=${SVCNAME##*.}
- if [ -n "${DOVECOT_INSTANCE}" -a "${SVCNAME}" != "dovecot" ]; then
- DOVECOT_CONF=/etc/dovecot/dovecot.${DOVECOT_INSTANCE}.conf
- else
- DOVECOT_CONF=/etc/dovecot/dovecot.conf
- fi
- if [ ! -e ${DOVECOT_CONF} ]; then
- eerror "You will need an ${DOVECOT_CONF} first"
- return 1
- fi
- if [ -x /usr/sbin/dovecot ]; then
- DOVECOT_BASEDIR=$(/usr/sbin/dovecot -c ${DOVECOT_CONF} config -h base_dir)
- else
- eerror "dovecot not executable"
- return 1
- fi
- DOVECOT_BASEDIR=${DOVECOT_BASEDIR:-/run/dovecot}
- DOVECOT_PIDFILE=${DOVECOT_BASEDIR}/master.pid
-}
-
-start() {
- checkconfig || return 1
- ebegin "Starting ${SVCNAME}"
- start-stop-daemon --start --exec /usr/sbin/dovecot \
- --pidfile "${DOVECOT_PIDFILE}" -- -c "${DOVECOT_CONF}"
- eend $?
-}
-
-stop() {
- checkconfig || return 1
- ebegin "Stopping ${SVCNAME}"
- start-stop-daemon --stop --exec /usr/sbin/dovecot \
- --pidfile "${DOVECOT_PIDFILE}"
- eend $?
-}
-
-reload() {
- checkconfig || return 1
- ebegin "Reloading ${SVCNAME} configs and restarting auth/login processes"
- start-stop-daemon --signal HUP --exec /usr/sbin/dovecot \
- --pidfile "${DOVECOT_PIDFILE}"
- eend $?
-}
diff --git a/net-mail/dovecot/metadata.xml b/net-mail/dovecot/metadata.xml
index 496575228ba..d8223dea238 100644
--- a/net-mail/dovecot/metadata.xml
+++ b/net-mail/dovecot/metadata.xml
@@ -7,14 +7,9 @@
</maintainer>
<use>
<flag name="argon2">Add support for ARGON2 password schemes</flag>
- <flag name="cydir">Add cydir storage support</flag>
<flag name="managesieve">Add managesieve protocol support</flag>
- <flag name="mdbox">Add mdbox storage support</flag>
- <flag name="sdbox">Add sdbox storage support</flag>
<flag name="sieve">Add sieve support</flag>
<flag name="vpopmail">Add vpopmail support</flag>
- <flag name="imapc">Add imap client storage support</flag>
- <flag name="pop3c">Add pop3 client storage support</flag>
<flag name="lucene">Add lucene full text search (FTS) support using <pkg>dev-cpp/clucene</pkg></flag>
<flag name="lzma">Add support for lzma (de)compression</flag>
<flag name="lz4">Add support for lz4 (de)compression</flag>